> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Account

> Create bank account. You need to complete KYC before creating a bank account.



## OpenAPI

````yaml put /account
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /account:
    put:
      tags:
        - Account
      summary: Create Bank Account
      description: >-
        Create bank account. You need to complete KYC before creating a bank
        account.
      operationId: put-account
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                currency: ''
                preferredAccountName: ''
              properties:
                accountName:
                  type: string
                currency:
                  enum:
                    - NGN
                    - KES
                  type: string
                preferredAccountName:
                  description: >-
                    preferred bank account name for merchant bank account
                    creation
                  type: string
              required:
                - currency
                - accountName
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    - account_name: KAROKART / RHODA CHURCH
                      account_number: '9930000737'
                      bank_code: '100039'
                      bank_name: Paystack-Titan
                      currency: NGN
                      status: ACTIVE
                  message: bank account successful
                properties:
                  data:
                    items:
                      properties:
                        account_name:
                          type: string
                        account_number:
                          type: string
                        bank_code:
                          type: string
                        bank_name:
                          type: string
                        currency:
                          type: string
                        status:
                          type: string
                      type: object
                    type: array
                  message:
                    type: string
                type: object
          description: put account ok
        '400':
          content:
            application/json:
              schema:
                example:
                  message: user has not completed kyc
                properties:
                  message:
                    type: string
                type: object
          description: put account bad request
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````